
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h> 
#endif

#define PIN        6 // 신호선 설정
#define NUMPIXELS 61 // 트리 LED 개수
#define DELAYVAL 100 // Time (in milliseconds) to pause between pixels

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800); //객체설정


void setup() {
//무작위 색과 위치에 LED가 켜진다.
#if defined(__AVR_ATtiny85__) && (F_CPU == 16000000)
  clock_prescale_set(clock_div_1);
#endif
  pixels.begin(); // INITIALIZE NeoPixel strip object (REQUIRED)
  /*기본 배경 LED*/
  for (int i = 0; i < NUMPIXELS; i++) { 
    pixels.setPixelColor(i, pixels.Color(15, 15, 15));
  }
  pixels.show();   
}

void loop() {
  
  long RANDOMc = random(65536); //랜덤 변수 설정(0부터 65535까지 중 무작위)
  int RANDOMb = random(256); //랜덤 변수 설정(0부터 255까지 중 무작위)
  int RANDOMp = random(NUMPIXELS+1);// LED 위치 랜덤 
  pixels.setPixelColor(RANDOMp, pixels.ColorHSV(RANDOMc, 255, RANDOMb));
  pixels.show();   // LED 설정값을 표현하기
  delay(DELAYVAL); //LED를 밝히는 시간
}
