
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h> 
#endif

#define PIN 6 // 신호선 설정
#define NUMPIXELS 61 // 트리의 LED 갯수
#define BRIGHT 15  // 밝기 설정 (최대 255)
#define SATU 255   // 채도 설정(최대 255)
#define COLOR 65300 //고정 컬러 설정 (0부터 65535까지)
#define DELAYVAL 100 // 다음 LED가 켜지는 시간 설정
#define num 1000 // 색이 바뀌는 값

unsigned short j = 0;// 0부터 65535까지의 범위를 갖는다.

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);//객체설정

void setup() {

#if defined(__AVR_ATtiny85__) && (F_CPU == 16000000)
  clock_prescale_set(clock_div_1);
#endif
  pixels.begin(); // 객체 초기화
}

void loop() {
//홀수는 색이 고정되어 있고 짝수는 색이 변합니다.
  for (int i = 0/*짝수*/; i < NUMPIXELS; i += 2 /*두개씩 증가*/) {
    if (j >= 65535) j = 0; //j의 값이 65535를 넘으면 0이 됨
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
    j += num; //색이 바뀌는 값 조절
  }

  for (int i = 1/*홀수*/; i < NUMPIXELS; i += 2) { 
    pixels.setPixelColor(i, pixels.ColorHSV(COLOR, SATU, BRIGHT));
  }
  pixels.show();   // LED 설정값을 표현하기
  delay(DELAYVAL); //LED를 밝히는 시간

}
