
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h> 
#endif

#define PIN        6 // 신호선 설정
#define NUMPIXELS 61 // 트리 LED 개수
#define num 1000 // 색이 바뀌는 값
#define BRIGHT 30 //밝기 설정 (최대 255)
#define SATU 255 //채도 설정 (최대 255)
#define DELAYVAL 1000 //LED 속도

unsigned short j = 0; // 0부터 65535까지의 범위를 갖는다.
int colorset[5] = {24, 40, 52, 60, 61}; // 층별 LED 구간 설정
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);//객체설정

void setup() {

#if defined(__AVR_ATtiny85__) && (F_CPU == 16000000)
  clock_prescale_set(clock_div_1);
#endif
  pixels.begin(); // 객채 초기화
  pixels.clear(); // LED 전체 off
}

void loop() {
//LED가 오르락 내리락 움직입니다.
  for (int i = 0; i < colorset[0]; i++) // 0부터 24까지 LED 설정
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT)); 
  }
  j += num;//색이 바뀌는 값 조절
  pixels.show(); // LED 설정값을 표현하기
  delay(DELAYVAL);//LED를 밝히는 시간

  for (int i = colorset[0]; i < colorset[1]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));  
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  for (int i = colorset[1]; i < colorset[2]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  for (int i = colorset[2]; i < colorset[3]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  for (int i = colorset[3]; i < colorset[4]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  for (int i = colorset[2]; i < colorset[3]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  for (int i = colorset[1]; i < colorset[2]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  for (int i = colorset[0]; i < colorset[1]; i++)
  {
    pixels.setPixelColor(i, pixels.ColorHSV(j, SATU, BRIGHT));
  }
  j += num;
  pixels.show();
  delay(DELAYVAL);

  if (j >= 65535) j = 0;//j의 값이 65535를 넘으면 0이 됨

}
